Bug 227844

Summary: [NEW PORT] games/regoth, Gothic I and II engine reimplementation
Product: Ports & Packages Reporter: Greg V <greg>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp, lwhsu
Priority: --- Keywords: feature, needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/REGoth-project/REGoth
Attachments:
Description Flags
regoth.patch none

Description Greg V 2018-04-29 12:44:46 UTC
Created attachment 192900 [details]
regoth.patch

https://github.com/REGoth-project/REGoth
Comment 1 Li-Wen Hsu freebsd_committer 2018-12-11 20:38:23 UTC
Thanks, this port builds fine on {11.2,12.0}x{amd64,i386}, just one question:

In do-install:

We already have:

        ${INSTALL_PROGRAM} ${WRKSRC}/bin/REGoth ${STAGEDIR}${DATADIR}

(${INSTALL_PROGRAM}=install  -s -m 555)

Do we really need:

        ${CHMOD} 755 ${STAGEDIR}${PREFIX}/bin/REGoth

?
Comment 2 Greg V 2018-12-11 21:28:03 UTC
(In reply to Li-Wen Hsu from comment #1)

${DATADIR} != ${PREFIX}/bin/REGoth, I think there's a wrapper script or something?

I haven't touched this in a while. I'll post an updated version here
Comment 3 commit-hook freebsd_committer 2020-01-06 01:24:43 UTC
A commit references this bug:

Author: swills
Date: Mon Jan  6 01:24:36 UTC 2020
New revision: 522179
URL: https://svnweb.freebsd.org/changeset/ports/522179

Log:
  games/regoth: create port

  An open source reimplementation of the zEngine, a game engine used by
  "Gothic" and "Gothic II".

  WWW: https://github.com/REGoth-project/REGoth

  PR:		227844
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/games/Makefile
  head/games/regoth/
  head/games/regoth/Makefile
  head/games/regoth/distinfo
  head/games/regoth/files/
  head/games/regoth/files/launcher.sh
  head/games/regoth/files/patch-CMakeLists.txt
  head/games/regoth/files/patch-lib_bgfx-cmake_CMakeLists.txt
  head/games/regoth/files/patch-lib_bgfx-cmake_bx_src_mutex.cpp
  head/games/regoth/files/patch-lib_bgfx-cmake_bx_src_thread.cpp
  head/games/regoth/files/patch-src_audio_AudioEngine.h
  head/games/regoth/files/patch-src_audio_AudioWorld.h
  head/games/regoth/pkg-descr
  head/games/regoth/pkg-plist
Comment 4 Steve Wills freebsd_committer 2020-01-06 01:26:58 UTC
Committed, thanks!